%define major 1
%define libname %mklibname nids %{major}
%define develname %mklibname nids -d

Summary:	Library that provides functions of Network Intrusion Detection System
Name:		libnids
Version:	1.24
Release:	%mkrel 9
License:	GPL
Group:		Networking/Other
URL:		http://libnids.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libnids/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/libnids/%{name}-%{version}.tar.gz.asc
Patch0:		libnids-1.18-libnet_config.diff
Patch1:		libnids-1.19-x86-pic.diff
Patch2:		libnids-1.24-no-inline.patch
BuildRequires:	libpcap-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	glib2-devel >= 2.2.0

%description
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package -n	%{libname}
Summary:	A shared Library that provides functions of Network Intrusion Detection System
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname nids 1 -d}

%description -n	%{develname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

This package contains the static library and header files for %{name}.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

# fix soname
perl -pi -e "s|^LIBSHARED.*|LIBSHARED = libnids.so.%{major}|g" src/Makefile.in

%build
autoreconf -f -i

export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
    --enable-shared \
    --enable-static

%make shared static

%install
%makeinstall

mv %{buildroot}%{_libdir}/libnids.so.%{major} \
    %{buildroot}%{_libdir}/libnids.so.%{major}.0

ln -snf libnids.so.%{major}.0 %{buildroot}%{_libdir}/libnids.so.%{major}
ln -snf libnids.so.%{major} %{buildroot}%{_libdir}/libnids.so

%files -n %{libname}
%doc CHANGES README CREDITS MISC
%{_libdir}/lib*.so.*

%files -n %{develname}
%doc CHANGES README CREDITS MISC doc/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/nids.h
%{_mandir}/man3/*


%changelog
* Mon Feb 08 2016 luigiwalser <luigiwalser> 1.24-9.mga6
+ Revision: 947383
- do not declare some functions as inline to fix dsniff build

* Fri Feb 05 2016 umeabot <umeabot> 1.24-8.mga6
+ Revision: 938966
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.24-7.mga5
+ Revision: 740236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.24-6.mga5
+ Revision: 681652
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.24-5.mga4
+ Revision: 507190
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.24-4.mga3
+ Revision: 357863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 guillomovitch <guillomovitch> 1.24-3.mga2
+ Revision: 189081
- imported package libnids


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.24-3mdv2011.0
+ Revision: 627789
- don't force the usage of automake1.7

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-2mdv2011.0
+ Revision: 609764
- rebuild

* Thu Apr 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-1mdv2010.1
+ Revision: 530652
- 1.24
- drop one upstream added patch

* Thu Jun 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.23-4mdv2010.0
+ Revision: 382710
- add the actual patch
- rebuilt against libnet 1.1.3

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.23-3mdv2009.1
+ Revision: 298274
- rebuilt against libpcap-1.0.0

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 267924
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.23-1mdv2009.0
+ Revision: 207107
- 1.23

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 1.21-3mdv2008.1
+ Revision: 119873
- rebuild b/c of missing subpackage on ia32

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21-2mdv2008.0
+ Revision: 83685
- new devel naming


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdv2007.0
+ Revision: 93753
- Import libnids

* Wed May 17 2006 Emmanuel Andry <eandry@mandriva.org> 1.21-1mdk
- 1.21
- buildrequires glib2-devel

* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.20-3mdk
- rebuilt against libnet1.1.2

* Thu Nov 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.20-2mdk
- Fix BuildRequires
- %%mkrel

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.20-1mdk
- 1.20

* Wed Jan 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.19-1mdk
- 1.19
- fix patches, drop upstream merged ones
- fix deps

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-2mdk
- corrected the funny namenaming
- fix deps
- added P0 and P1
- added P2 (Gwenole Beauchesne)
- misc spec file fixes

* Thu Apr 08 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.18-1mdk
- 1.18 (fixes CAN-2003-0850)
- removed Packager tag, updated URL and description

